﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WinForm_Backworker
{
	public partial class ProgressDlg : Form
	{
		public ProgressDlg()
		{
			InitializeComponent();
		}

		public void OnProgressChanged(object sender, ProgressChangedEventArgs e)
		{
			// show the progress.
			this.progressBar.Value = e.ProgressPercentage;
		}

		public void OnCompleted(object sender, RunWorkerCompletedEventArgs e)
		{
			// thread is completed, close the dialog.
			this.progressBar.Value = 100;
			this.Close();
		}

		public CancelEventHandler OnCancel = null;

		private void btnCancel_Click(object sender, EventArgs e)
		{
			// thread is cancelled, close the dialog.
			this.Close();
		}

		private void ProgressDlg_FormClosed(object sender, FormClosedEventArgs e)
		{
			// cast notification of cancellation.
			if (this.OnCancel != null)
				this.OnCancel(this, new CancelEventArgs());
		}
	}
}
